<?php 

$lzGoogleFonts = getFonts(true);


$wp_customize->add_section(
	'soccerclub_premium_general_section',
	array(
		'title' => __( 'Font Setting', 'soccerclub Premium' ),
		'panel' => 'soccerclub_general_panel'
	)
);

$wp_customize->add_setting(
	'soccerclub_general_headeing_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '36'
	)
);
$wp_customize->add_control(
	new soccerclub_Font_Chooser(
		$wp_customize,
		'soccerclub_general_headeing_font',
		array(
			'settings'=> 'soccerclub_general_headeing_font',
			'section' => 'soccerclub_premium_general_section',
			'label'=>__('Heading Fonts/Title Fonts', 'soccerclub Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'soccerclub_general_text_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '34'
	)
);
$wp_customize->add_control(
	new soccerclub_Font_Chooser(
		$wp_customize,
		'soccerclub_general_text_font',
		array(
			'settings'=> 'soccerclub_general_text_font',
			'section' => 'soccerclub_premium_general_section',
			'label'=>__('Body/Text Font', 'soccerclub Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);