<?php
/**
 * Createing a bog pannel for customizer
 *
 *
 */
$categories = get_categories(array('hide_empty' => 0));
foreach ($categories as $category) {
	$cat[$category->term_id] = $category->cat_name;
}
$soccerclub_categories = get_categories(array('hide_empty' => 0));
foreach ($soccerclub_categories as $soccerclub_category) {
    $soccerclub_cat[$soccerclub_category->term_id] = $soccerclub_category->cat_name;
}
/****************************/
// START BLOG SECTION FOR HOME PAGE
/*============BLOG PANEL============*/
$wp_customize->add_section(
	'soccerclub_blog_section',
	array(
		'title' => __( 'Blog Posts', 'soccerclub-premium' ),
		'panel' => 'soccerclub_premium_home_panel1',
     	'priority' =>28
	)
);

$wp_customize->add_setting('soccerclub_reset_blog_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_blog_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Blog Section Settings', 'soccerclub'),
  'description' => 'soccerclub_blog_reset_settings',
  'section' => 'soccerclub_blog_section'
)));

$wp_customize->add_setting('soccerclub_blog_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_blog_nav', array(
       'section' => 'soccerclub_blog_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_blog_enable', 
                'soccerclub_blog_maintitle',
                'soccerclub_blog_head_icon_enable',
                'soccerclub_blog_head_icon',
                'soccerclub_blog_subtitle',
                'blog_post_count',
                'blog_cat_exclude',
                'soccerclub_blog_button_display',
                'soccerclub_blog_btn_txt'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(     
                'soccerclub_blog_section_bg_color',
                'soccerclub_blog_section_bg_image',
                'soccerclub_blog_image_opacity',               
                'soccerclub_blog_box_onload_effects',
                'soccerclub_blog_head_align',
                'soccerclub_blog_content_align',
                 'soccerclub_blog_heading_color1',
                'soccerclub_blog_heading_color2',
                'soccerclub_blog_subheading_color',
                'soccerclub_blog_title_color',
                 'soccerclub_blog_text_color',
                'soccerclub_blog_btn_color',
                'soccerclub_blog_btnbg_color',
                 'soccerclub_blog_btnbghover_color',
                'soccerclub_blog_cat_color',
                'soccerclub_blog_catbg_color',
                'soccerclub_blog_cathover_color',
                'soccerclub_blog_catbghover_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(                
                'soccerclub_blog_padding',
                'soccerclub_blog_section_t_padding',
                'soccerclub_blog_section_b_padding',
                'soccerclub_blog_section_width',
                'soccerclub_blog_post_image_height',
                'soccerclub_blog_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'soccerclub_blog_enable',array(
    'default' => true,
    'sanitize_callback' => 'soccerclub_switch_sanitization'
) );
$wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_blog_enable',array(
    'label' => __( 'Disable Section','soccerclub' ),
    'section' => 'soccerclub_blog_section'
)));

$wp_customize->add_setting(
    'soccerclub_blog_maintitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Latest Blog & <span>Articles</span>', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_blog_maintitle',
    array(
        'settings'      => 'soccerclub_blog_maintitle',
        'section'       => 'soccerclub_blog_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'soccerclub' )
    )
);

$wp_customize->add_setting(
    'soccerclub_blog_subtitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt Lorem ipsum dolor sit amet, consectetur adipiscing', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_blog_subtitle',
    array(
        'settings'      => 'soccerclub_blog_subtitle',
        'section'       => 'soccerclub_blog_section', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'soccerclub' )
    )
);
//BLOG SETTINGS
$wp_customize->add_setting(
    'blog_post_count',
    array(
        'default'           => '3',
        'sanitize_callback' => 'soccerclub_sanitize_choices'
    )
);
$wp_customize->add_control(
    new soccerclub_Dropdown_Chooser(
        $wp_customize,
        'blog_post_count',
        array(
            'settings'      => 'blog_post_count',
            'section'       => 'soccerclub_blog_section',
            'label'         => __( 'Number of Posts to show', 'soccerclub-premium' ),
            'choices'       => $soccerclub_post_count_choice
        )
    )
);
$wp_customize->add_setting(
    'blog_cat_exclude',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text'
    )
);
$wp_customize->add_control(
    new soccerclub_Customize_Checkbox_Multiple(
        $wp_customize,
        'blog_cat_exclude',
        array(
            'label' => __('Exclude Category from Blog Posts', 'soccerclub-premium'),
            'section' => 'soccerclub_blog_section',
            'settings' => 'blog_cat_exclude',
            'choices' => $soccerclub_cat
        )
    )
);

// to show & hide another button
$wp_customize->add_setting( 'soccerclub_blog_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'soccerclub_blog_button_display', array( 'label' => 'Button Display', 'section' => 'soccerclub_blog_section', 'settings' => 'soccerclub_blog_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 
// end to show & hide button
// appointment 
$wp_customize->add_setting(
    'soccerclub_blog_btn_txt',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'soccerclub_blog_btn_txt',
    array(
        'settings'      => 'soccerclub_blog_btn_txt',
        'section'       => 'soccerclub_blog_section',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'soccerclub-premium' )
    )
);


// backgroundManager($wp_customize, 'blog', 'soccerclub_blog_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'soccerclub_blog_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'soccerclub_blog_section_bg_color', array(
        'label' => __('Section Background Color','soccerclub'),
       'section' => 'soccerclub_blog_section',
    )));

    $wp_customize->add_setting( 'soccerclub_blog_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_blog_section_bg_image', array(
        'label' => __('Section Background Image','soccerclub'),
       'section' => 'soccerclub_blog_section',
    )));


     $wp_customize->add_setting('soccerclub_blog_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_blog_image_opacity',array(
    'label' => __('Background Opacity','soccerclub'),
    'section' => 'soccerclub_blog_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('soccerclub_blog_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_blog_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','soccerclub'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
            'wow bounceInRight' => __('Bounce In Right','soccerclub'),
            'wow bounceInUp' => __('Bounce In Up','soccerclub'),
            'wow bounceInDown' => __('Bounce In Down','soccerclub'),
            'wow zoomIn' => __('Zoom In','soccerclub'),
            'wow zoomOut' => __('Zoom Out','soccerclub'),
            'wow fadeInDown' => __('Fade In Down','soccerclub'),            
            'wow fadeInUp' => __('Fade In Up','soccerclub'),
            'wow fadeInLeft' => __('Fade In Left','soccerclub'),
            'wow fadeInRight' => __('Fade In Right','soccerclub'),
            'flip-up' => __('Flip Up','soccerclub')
        ),
        'section' => 'soccerclub_blog_section',
    ));

 $wp_customize->add_setting('soccerclub_blog_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_blog_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_blog_section',
    ));

    $wp_customize->add_setting('soccerclub_blog_content_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_blog_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_blog_section',
    ));

 $wp_customize->add_setting('soccerclub_blog_post_image_height',array(
        'default' => 250,
        'sanitize_callback' => 'soccerclub_sanitize_integer'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_blog_post_image_height',array(
    'label' => __('Image Height','soccerclub'),
    'section' => 'soccerclub_blog_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

 $wp_customize->add_setting('soccerclub_blog_post_excerpt',array(
        'default' => 30,
        'sanitize_callback' => 'soccerclub_sanitize_integer'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_blog_post_excerpt',array(
    'label' => __('Excerpt Length','soccerclub'),
    'section' => 'soccerclub_blog_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));


$wp_customize->add_setting('soccerclub_blog_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_blog_padding',array(
      'label' => __('Section Padding','soccerclub'),
      'section' => 'soccerclub_blog_section'
   ));

  $wp_customize->add_setting('soccerclub_blog_section_t_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_blog_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_blog_section',
    ));
     $wp_customize->add_setting('soccerclub_blog_section_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_blog_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_blog_section',
    ));

    $wp_customize->add_setting('soccerclub_blog_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_blog_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_blog_section',
    ));

addColorPalatOption($wp_customize, 'soccerclub_blog_heading_color1', 'soccerclub_blog_section', 'Heading color', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_heading_color2', 'soccerclub_blog_section', 'Heading color', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_subheading_color', 'soccerclub_blog_section', 'Subheading color ', '');
addColorPalatOption($wp_customize, 'soccerclub_blog_title_color', 'soccerclub_blog_section', 'Title color', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_text_color', 'soccerclub_blog_section', 'Text color', '');
addColorPalatOption($wp_customize, 'soccerclub_blog_btn_color', 'soccerclub_blog_section', 'Button text color', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_btnbg_color', 'soccerclub_blog_section', 'Button background color ', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_btnbghover_color', 'soccerclub_blog_section', 'Button background color', '');
addColorPalatOption($wp_customize, 'soccerclub_blog_cat_color', 'soccerclub_blog_section', 'Category text color ', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_catbg_color', 'soccerclub_blog_section', 'Category background color ', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_cathover_color', 'soccerclub_blog_section', 'Category text hover color ', '');

addColorPalatOption($wp_customize, 'soccerclub_blog_catbghover_color', 'soccerclub_blog_section', 'Category background hover color ', '');
?>