<?php 
  $lvl2ParentPanel3 = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'soccerclub_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'soccerclub_section', array(
    'title' => 'Section Test page',
    'panel' => 'soccerclub_othersetting_panel3',
  ));

$wp_customize->add_section( 'soccerclub_breadcrumb_setting' , array(
    'title'    => __( 'Breadcrumb options', 'soccerclub-premium' ),
    'priority' => null,
    'panel' => 'soccerclub_othersetting_panel3'
) );

$wp_customize->add_setting('soccerclub_reset_breadcrumbsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_breadcrumbsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset breadcrumb Settings', 'soccerclub'),
  'description' => 'soccerclub_breadcrumbsetting_reset_settings',
  'section' => 'soccerclub_breadcrumb_setting'
)));

$wp_customize->add_setting(
    'breadcrumb_on_off',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'breadcrumb_on_off',
        array(
            'settings'      => 'breadcrumb_on_off',
            'section'       => 'soccerclub_breadcrumb_setting',
            'label'         => __( 'Show/Hide', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'soccerclub-premium' ),
                'off' => __( 'No', 'soccerclub-premium' )
            ),
        )
    )
);

$wp_customize->add_setting(
        'soccerclub_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'soccerclub_sanitize_text',
            'default'           => __( 'Home', 'soccerclub' )
        )
    );
    $wp_customize->add_control(
        'soccerclub_breadcrumbhometxt',
        array(
            'settings'      => 'soccerclub_breadcrumbhometxt',
            'section'       => 'soccerclub_breadcrumb_setting',
            'type'          => 'text',
            'label'         => __( 'Add Text Here:', 'soccerclub' )
        )
    );

addColorPalatOption($wp_customize, 'soccerclub_btreadcrumb_text_color', 'soccerclub_breadcrumb_setting', 'Text color', '');
addColorPalatOption($wp_customize, 'soccerclub_btreadcrumb_active_color', 'soccerclub_breadcrumb_setting', 'Active color', '');
addColorPalatOption($wp_customize, 'soccerclub_btreadcrumb_hover_color', 'soccerclub_breadcrumb_setting', 'Hover color', '');
// end to show & hide button