<?php 
  $lvl2ParentPanel3 = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'soccerclub_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'soccerclub_section', array(
    'title' => 'Section Test page',
    'panel' => 'soccerclub_othersetting_panel3',
  ));

$wp_customize->add_section( 'soccerclub_font_setting' , array(
    'title'    => __( 'Font Setting', 'soccerclub-premium' ),
    'priority' => null,
    'panel' => 'soccerclub_othersetting_panel3'
) );


$wp_customize->add_setting('soccerclub_reset_fontsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_fontsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Font Settings', 'soccerclub'),
  'description' => 'soccerclub_fontsetting_reset_settings',
  'section' => 'soccerclub_font_setting'
)));



    $wp_customize->add_setting('soccerclub_fontsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_fontsetting_nav', array(
       'section' => 'soccerclub_font_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('H1', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(
                'soccerclub_innerpageheading1_fontsize',
                'soccerclub_heading1_color',
                'soccerclub_innerpageheading1_font_weight'           
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('H2', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(
                'soccerclub_innerpageheading2_fontsize',
                'soccerclub_heading2_color',
                'soccerclub_innerpageheading2_font_weight'
            ),
         ),
          array(
            'name' => esc_html__('H3', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(                
                'soccerclub_innerpageheading3_fontsize',
                'soccerclub_heading3_color',
                'soccerclub_innerpageheading3_font_weight'
            ),
         ),
            array(
            'name' => esc_html__('H4', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(
                'soccerclub_innerpageheading4_fontsize',
                'soccerclub_heading4_color',
                'soccerclub_innerpageheading4_font_weight'
            ),
         ),
            array(
                'name' => esc_html__('H5', 'soccerclub-premium'),
                'icon' => 'dashicons dashicons-heading',
                'fields' => array(
                    'soccerclub_innerpageheading5_fontsize',
                    'soccerclub_heading5_color',
                    'soccerclub_innerpageheading5_font_weight'
                ),
             ),
            array(
                'name' => esc_html__('H6', 'soccerclub-premium'),
                'icon' => 'dashicons dashicons-heading',
                'fields' => array(
                    'soccerclub_innerpageheading6_fontsize',
                    'soccerclub_heading6_color',
                    'soccerclub_innerpageheading6_font_weight'
                ),
             ),
            array(
            'name' => esc_html__('Body Fonts', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-editor-paragraph',
            'fields' => array(
                'soccerclub_innerpagebody_fontsize',
                'soccerclub_body_color',
                'soccerclub_innerpagebody_font_weight'
            ),
         )
        ),
    )));


$wp_customize->add_setting('soccerclub_innerpageheading1_fontsize',array(
        'default' => '40',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpageheading1_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));


addColorPalatOption($wp_customize, 'soccerclub_heading1_color', 'soccerclub_font_setting', 'Color', '#000');

   $wp_customize->add_setting('soccerclub_innerpageheading1_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpageheading1_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));

$wp_customize->add_setting('soccerclub_innerpageheading2_fontsize',array(
        'default' => '24',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpageheading2_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));

 
addColorPalatOption($wp_customize, 'soccerclub_heading2_color', 'soccerclub_font_setting', 'Color', '#000');

   $wp_customize->add_setting('soccerclub_innerpageheading2_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpageheading2_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));


$wp_customize->add_setting('soccerclub_innerpageheading3_fontsize',array(
        'default' => '20',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpageheading3_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));


addColorPalatOption($wp_customize, 'soccerclub_heading3_color', 'soccerclub_font_setting', 'Color', '#000');

   $wp_customize->add_setting('soccerclub_innerpageheading3_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpageheading3_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));


$wp_customize->add_setting('soccerclub_innerpageheading4_fontsize',array(
        'default' => '18',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpageheading4_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));

addColorPalatOption($wp_customize, 'soccerclub_heading4_color', 'soccerclub_font_setting', 'Color', '#000');

   $wp_customize->add_setting('soccerclub_innerpageheading4_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpageheading4_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));

$wp_customize->add_setting('soccerclub_innerpageheading5_fontsize',array(
        'default' => '17',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpageheading5_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));

addColorPalatOption($wp_customize, 'soccerclub_heading5_color', 'soccerclub_font_setting', 'Color', '#000');

   $wp_customize->add_setting('soccerclub_innerpageheading5_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpageheading5_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));

$wp_customize->add_setting('soccerclub_innerpageheading6_fontsize',array(
        'default' => '16',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpageheading6_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));

addColorPalatOption($wp_customize, 'soccerclub_heading6_color', 'soccerclub_font_setting', 'Color', '#000');

   $wp_customize->add_setting('soccerclub_innerpageheading6_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpageheading6_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));


$wp_customize->add_setting('soccerclub_innerpagebody_fontsize',array(
        'default' => '16',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpagebody_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','soccerclub'),
    'section' => 'soccerclub_font_setting',
    ));

addColorPalatOption($wp_customize, 'soccerclub_body_color', 'soccerclub_font_setting', 'Color', '#333333');


   $wp_customize->add_setting('soccerclub_innerpagebody_font_weight',array(
     'default' => '400',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_innerpagebody_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'soccerclub_font_setting',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));
// end to show & hide button