<?php 
  $lvl1ParentPanel = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));
$wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel3 = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'soccerclub_header_panel1',
    'priority' => 2
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'soccerclub_section', array(
    'title' => 'Section Test page',
    'panel' => 'soccerclub_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'soccerclub_inner_pages' , array(
        'title'    => __( 'Inner Pages', 'soccerclub-premium' ),
        'priority' => null,
        'panel' => 'soccerclub_header_panel3'
    ) );

$wp_customize->add_setting('soccerclub_reset_innerpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_innerpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Inner Pages Settings', 'soccerclub'),
  'description' => 'soccerclub_innerpages_reset_settings',
  'section' => 'soccerclub_inner_pages'
)));

    $wp_customize->add_setting('soccerclub_innerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_innerpages_nav', array(
       'section' => 'soccerclub_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_innerpage_pagetitle_padding',
                'soccerclub_innerpage_pagetitle_t_padding',
                'soccerclub_innerpage_pagetitle_b_padding' ,   
                'innerpage_featured_img_on_off',
                'soccerclub_innerpage_image_height',
                'page_title_on_off'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub__page_layout',
                'soccerclub_inner_page_width'                
            ),
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'soccerclub_innerpage_image_opacity',
                'soccerclub_innerpage_header_box_onload_effects',   
                'soccerclub_innerpage_content_color',
                'soccerclub_innerpage_link_color',
                'soccerclub_innerpage_linkhover_color',
                'soccerclub_innerpage_bg_color',
                'soccerclub_innerpage_title_color',
                'soccerclub_innerpage_titlebg_color',
                'soccerclub_innerpage_listnumber_color',
                'soccerclub_innerpage_listnumberbg_color',
                'soccerclub_innerpage_pagination_color',
                'soccerclub_innerpage_paginationbg_color',
                'soccerclub_innerpage_paginationborder_color',
                'soccerclub_innerpage_paginationhoveractive_color',                
                'soccerclub_innerpage_blockquotebg_color',
                'soccerclub_innerpage_blockquotetext_color',
                'soccerclub_innerpage_formfield_color',
                'soccerclub_innerpage_formbg_color',
                'soccerclub_innerpage_formborder_color',
                'soccerclub_innerpage_formbuttontext_color',
                'soccerclub_innerpage_formbuttonbg_color'
            ),
         )
        ),
    )));

$wp_customize->add_setting('soccerclub_innerpage_pagetitle_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_innerpage_pagetitle_padding',array(
      'label' => __('Page Tittle Padding','soccerclub'),
      'section' => 'soccerclub_inner_pages'
   ));

    $wp_customize->add_setting('soccerclub_innerpage_pagetitle_t_padding',array(
        'default' => '13',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpage_pagetitle_t_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_inner_pages',
    ));
     $wp_customize->add_setting('soccerclub_innerpage_pagetitle_b_padding',array(
        'default' => '1',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_innerpage_pagetitle_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_inner_pages',
    ));

$wp_customize->add_setting(
    'innerpage_featured_img_on_off',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'innerpage_featured_img_on_off',
        array(
            'settings'      => 'innerpage_featured_img_on_off',
            'section'       => 'soccerclub_inner_pages',
            'label'         => __( 'Page Featured Image', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'soccerclub-premium' ),
                'off' => __( 'No', 'soccerclub-premium' )
            ),
        )
    )
);

 $wp_customize->add_setting('soccerclub_innerpage_image_height',array(
        'default' => 300,
        'sanitize_callback' => 'soccerclub_sanitize_integer'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_innerpage_image_height',array(
    'label' => __('Page header image height','soccerclub'),
    'section' => 'soccerclub_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

 $wp_customize->add_setting('soccerclub_innerpage_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_innerpage_image_opacity',array(
    'label' => __('Image Opacity','soccerclub'),
    'section' => 'soccerclub_inner_pages',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

$wp_customize->add_setting(
    'page_title_on_off',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'page_title_on_off',
        array(
            'settings'      => 'page_title_on_off',
            'section'       => 'soccerclub_inner_pages',
            'label'         => __( 'Page Title', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'soccerclub-premium' ),
                'off' => __( 'No', 'soccerclub-premium' )
            ),
        )
    )
);

//Page Layout
$lzPageLayout = getPageLayout(true);

$wp_customize->add_setting(
   'soccerclub__page_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new soccerclub_Font_Chooser(
      $wp_customize,
      'soccerclub__page_layout',
      array(
         'settings'=> 'soccerclub__page_layout',
         'section' => 'soccerclub_inner_pages',
         'label'=>__('Left / Right and No Sidebar', 'soccerclub Premium'),
         'choices'=>$lzPageLayout
      )
   )
);

$wp_customize->add_setting('soccerclub_inner_page_width',array(
    'default' => 'Box Width',
    'sanitize_callback' => 'soccerclub_sanitize_choices',
));
$wp_customize->add_control('soccerclub_inner_page_width',array(
    'type' => 'select',
    'label' => __('Page Width','soccerclub'),
    'choices' => array (
        'Box Width' => __('Box Width','soccerclub'),
        'Full Width' => __('Full Width','soccerclub')
    ),
    'section' => 'soccerclub_inner_pages',
));


$wp_customize->add_setting('soccerclub_innerpage_header_box_onload_effects',array(
    'default' => 'wow zoomIn',
    'sanitize_callback' => 'soccerclub_sanitize_choices',
));
$wp_customize->add_control('soccerclub_innerpage_header_box_onload_effects',array(
    'type' => 'select',
    'label' => __('Header Box Transition Effects','soccerclub'),
    'choices' => array (
        'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
        'wow bounceInRight' => __('Bounce In Right','soccerclub'),
        'wow bounceInUp' => __('Bounce In Up','soccerclub'),
        'wow bounceInDown' => __('Bounce In Down','soccerclub'),
        'wow zoomIn' => __('Zoom In','soccerclub'),
        'wow zoomOut' => __('Zoom Out','soccerclub'),
        'wow fadeInDown' => __('Fade In Down','soccerclub'),            
        'wow fadeInUp' => __('Fade In Up','soccerclub'),
        'wow fadeInLeft' => __('Fade In Left','soccerclub'),
        'wow fadeInRight' => __('Fade In Right','soccerclub'),
        'flip-up' => __('Flip Up','soccerclub')
    ),
    'section' => 'soccerclub_inner_pages',
));

addColorPalatOption($wp_customize, 'soccerclub_innerpage_content_color', 'soccerclub_inner_pages', 'Content Text color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_link_color', 'soccerclub_inner_pages', 'Link color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_linkhover_color', 'soccerclub_inner_pages', 'Link hover color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_bg_color', 'soccerclub_inner_pages', 'Background color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_title_color', 'soccerclub_inner_pages', 'Title color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_titlebg_color', 'soccerclub_inner_pages', 'Title background color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_listnumber_color', 'soccerclub_inner_pages', 'List number color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_listnumberbg_color', 'soccerclub_inner_pages', 'List number background color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_pagination_color', 'soccerclub_inner_pages', 'Pagination color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_paginationbg_color', 'soccerclub_inner_pages', 'Pagination background color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_paginationborder_color', 'soccerclub_inner_pages', 'Pagination border color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_paginationhoveractive_color', 'soccerclub_inner_pages', 'Pagination hover/active color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_blockquotebg_color', 'soccerclub_inner_pages', 'Blockquote background color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_blockquotetext_color', 'soccerclub_inner_pages', 'Blockquote text color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_formfield_color', 'soccerclub_inner_pages', 'Form fields text color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_formbg_color', 'soccerclub_inner_pages', 'Form background color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_formborder_color', 'soccerclub_inner_pages', 'Form border color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_formbuttontext_color', 'soccerclub_inner_pages', 'Form button text color', '');
addColorPalatOption($wp_customize, 'soccerclub_innerpage_formbuttonbg_color', 'soccerclub_inner_pages', 'Form button background color', '');
?>