<?php     
/**
 * Use for the show the testimonials at home page and in testimonial page with shortcode
 * @param int $pageId default is null the id of a post
 * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
 * @param int $i default null
 * @param boolean $showStaticVals default is false
 * @return string
 * @author soccerclub <support@soccerclub.com>
 * */
function testimonialShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('soccerclub_testimonials_npp_count', 4);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $soccerclub_testimonials_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


     if ($isCustomizer === true) {
            $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
        } else {
            $testimonial_area_designation = '';
        }

        $post = get_post();

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
            ?>
            <div class="item">
            <div class="soccerclub-testimonials-single  <?php echo esc_attr(get_theme_mod('soccerclub_testimonials_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('soccerclub_testimonials_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('soccerclub_testimonials_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('soccerclub_testimonials_box_align','Right') == 'Right'){ ?> right <?php } ?> ">     
                <div class="soccerclub-testimonials-area">
                    <div class="soccerclub-testimonials-overlay"></div>
                     <div class="row">
                        <div class="col-md-4">
                            <div class="soccerclub-testimonials-image">
                                <div class="soccerclub-testimonials-circle"></div>
                                <img src="<?php echo (!empty($soccerclub_testimonials_image[0])) ? $soccerclub_testimonials_image[0] : get_template_directory_uri() . '/images/testimonial.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                            </div>  
                        </div>
                        <div class="col-md-8">
                            <div class="soccerclub-testimonials-content">
                                 <h4 class="soccerclub-testimonials-name" style="text-transform : <?php if(get_theme_mod('soccerclub_testimonials_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('soccerclub_testimonials_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('soccerclub_testimonials_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></h4>
                                    <h6 class="soccerclub-testimonials-designation"><?php echo ($testimonial_area_designation); ?></h6>  
                                     <p><?php
                                        if (has_excerpt()) {
                                            echo get_the_excerpt();
                                        } else {
                                            echo get_the_content();
                                        }
                                        ?>                                
                                    </p>            
                                <i class="fa fa-quote-right" aria-hidden="true"></i>
                            </div>
                        </div>
                    <div class="clearfix"></div>
                    </div>
                </div>
             </div>
        </div>

        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}
function testimonialinnerpageShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-testimonial');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('soccerclub_testimonials_npp_count', 4);
    $cols++;
    switch($cols){
        
            }
           $icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');     
    // }
    $text = '';
    $query = new WP_Query($args);
    if ($query->have_posts()):
        $postN = 0;

        while ($query->have_posts()) : $query->the_post();
            $soccerclub_testimonials_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');


     if ($isCustomizer === true) {
            $testimonial_area_designation = get_theme_mod('testimonial_area_designation' . $i);
        } else {
            $testimonial_area_designation = '';
        }

        $post = get_post();

            //designation
        $designation = get_post_meta($post->ID, 'designation', false);
        $testimonial_area_designation = !empty($designation[0]) ? $designation[0] : '';
            ?>
                <div class="soccerclub-testimonials-single">
                    <div class="row">
                    <div class="col-md-3 col-sm-3 col-xs-12 soccerclub-testimonials-img">
                    <div class="soccerclub-testimonials-image">
                        <img src="<?php echo (!empty($soccerclub_testimonials_image[0])) ? $soccerclub_testimonials_image[0] : get_template_directory_uri() . '/images/testimonial.jpg' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                    </div>
                   
                    </div>
                    <div class="col-md-9 col-sm-9 col-xs-12 soccerclub-testimonials-data">
                        <div class="soccerclub-testimonials-content">  
                            <p><?php
                                    if (has_excerpt()) {
                                        echo get_the_excerpt();
                                    } else {
                                        echo get_the_content();
                                    }
                                    ?>                                
                                </p> 
                            <div class="clearfix"></div>                            
                             <div class="soccerclub-testimonials-identity">                                 
                                 <h4 class="soccerclub-testimonials-name" style="text-transform : <?php if(get_theme_mod('soccerclub_testimonials_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('soccerclub_testimonials_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('soccerclub_testimonials_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></h4>
                                 <h6 class="soccerclub-testimonials-designation"><?php echo ($testimonial_area_designation); ?></h6>   
                            </div>                             
                            
                            
                        </div> 
                    </div>
                     <div class="clearfix"></div>
                     </div>
                     <div class="clearfix"></div>
                 </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('TESTIMONIALS', 'testimonialinnerpageShortCode');
