<?php 
    $wp_customize->add_section(
        'soccerclub_about_section',
        array(
            'title' => __( 'About Us', 'soccerclub-premium' ),
            'panel' => 'soccerclub_premium_home_panel1',
            'priority' =>20
        )
    );

$wp_customize->add_setting('soccerclub_reset_about_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_about_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset about Section Settings', 'soccerclub'),
  'description' => 'soccerclub_about_reset_settings',
  'section' => 'soccerclub_about_section'
)));

$wp_customize->add_setting('soccerclub_about_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_about_nav', array(
       'section' => 'soccerclub_about_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_about_enable',
                'soccerclub_about_image1',
                'soccerclub_about_image2',
                'soccerclub_about_image3',
                'soccerclub_success_npp_count_heading',
                'soccerclub_success_npp_count',
                'soccerclub_success_page1',
                'soccerclub_success_page_icon1',
                'soccerclub_success_page_title_1',
                'soccerclub_success_page2',
                'soccerclub_success_page_icon2',
                'soccerclub_success_page_title_2',
                'soccerclub_success_page3',
                'soccerclub_success_page_icon3',
                'soccerclub_success_page_title_3',
                'soccerclub_success_page4',
                'soccerclub_success_page_icon4',
                'soccerclub_success_page_title_4',
                'soccerclub_success_page5',
                'soccerclub_success_page_icon5',
                'soccerclub_success_page_title_5',
                'soccerclub_success_page6',
                'soccerclub_success_page_icon6',
                'soccerclub_success_page_title_6',
                'soccerclub_success_page7',
                'soccerclub_success_page_icon7',
                'soccerclub_success_page_title_7',
                'soccerclub_success_page8',
                'soccerclub_success_page_icon8',
                'soccerclub_success_page_title_8',
                'soccerclub_success_page9',
                'soccerclub_success_page_icon9',
                'soccerclub_success_page_title_9',
                'soccerclub_success_page10',
                'soccerclub_success_page_icon10',
                'soccerclub_success_page_title_10',
                'soccerclub_success_page11',
                'soccerclub_success_page_icon11',
                'soccerclub_success_page_title_11',
                'soccerclub_success_page12',
                'soccerclub_success_page_icon12',
                'soccerclub_success_page_title_12',
                'soccerclub_about_section_title1',
                'soccerclub_about_subtitle',
                'soccerclub_about_text',
                'soccerclub_about_texttext',
                'soccerclub_about_page_list',                
                'soccerclub_about_button_display',
                'soccerclub_about_btn_txt',
                'soccerclub_about_btnlink'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'soccerclub_about_section_bg_color',
                'soccerclub_about_section_bg_image',
                'soccerclub_about_image_opacity',               
                'soccerclub_about_title_heading1',
                'soccerclub_premium_about_section_background',
                'soccerclub_about_bg_color',
                'soccerclub_about_bg_image',                
                'soccerclub_about_box_onload_effects',
                'soccerclub_about_head_align',
                'soccerclub_about_area_btn_color',
                'soccerclubabout_area_btnbg1_color',
                'soccerclubabout_area_btnbg2_color',
                'soccerclub_about_heading_color1',
                'soccerclub_about_heading_color2',
                'soccerclub_about_heading_icon_color',
                'soccerclub_about_subtitle_color',
                'soccerclub_about_text_color',
                'soccerclub_about_list_color',
                'soccerclub_about_icon_color',
                'soccerclub_success_icon_color',
                'soccerclub_success_title_color1',
                'soccerclub_success_title_color2',
                'soccerclub_success_boxbg_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub_about_padding',
                'soccerclub_about_top_padding',
                'soccerclub_about_bottom_padding',
                'soccerclub_about_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'soccerclub_about_enable',array(
    'default' => true,
    'sanitize_callback' => 'soccerclub_switch_sanitization'
) );
$wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_about_enable',array(
    'label' => __( 'Disable Section','soccerclub' ),
    'section' => 'soccerclub_about_section'
)));


$wp_customize->add_setting( 'soccerclub_about_image1', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_about_image1', array(
    'label' => __('Image 1','soccerclub'),
   'section' => 'soccerclub_about_section',
)));


$wp_customize->add_setting( 'soccerclub_about_image2', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_about_image2', array(
    'label' => __('Image 2','soccerclub'),
   'section' => 'soccerclub_about_section',
)));


$wp_customize->add_setting( 'soccerclub_about_image3', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_about_image3', array(
    'label' => __('Image 3','soccerclub'),
   'section' => 'soccerclub_about_section',
)));


$wp_customize->add_setting(
    'soccerclub_about_section_title1',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'About Club', 'soccerclub-premium' )
    )
);
$wp_customize->add_control(
    'soccerclub_about_section_title1',
    array(
        'settings'      => 'soccerclub_about_section_title1',
        'section'       => 'soccerclub_about_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'soccerclub-premium' )
    )
);

$wp_customize->add_setting(
    'soccerclub_about_subtitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Success is not Accident Its a Result of Hard Work', 'soccerclub-premium' )
    )
);
$wp_customize->add_control(
    'soccerclub_about_subtitle',
    array(
        'settings'      => 'soccerclub_about_subtitle',
        'section'       => 'soccerclub_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'soccerclub-premium' )
    )
);

$wp_customize->add_setting(
    'soccerclub_about_text',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna Lorem ipsum.', 'soccerclub-premium' )
    )
);
$wp_customize->add_control(
    'soccerclub_about_text',
    array(
        'settings'      => 'soccerclub_about_text',
        'section'       => 'soccerclub_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Description', 'soccerclub-premium' )
    )
);


$wp_customize->add_setting(
    'soccerclub_about_page_list',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( '<ul>
            <li>Lorem ipsum dolor sit amet, consectetur</li>
            <li>Lorem ipsum dolor sit amet, consectetur</li>
            </ul>', 'soccerclub-premium' )
    )
);
$wp_customize->add_control(
    'soccerclub_about_page_list',
    array(
        'settings'      => 'soccerclub_about_page_list',
        'section'       => 'soccerclub_about_section', 
        'type'          => 'textarea',
        'label'         => __( 'Bullet Points ', 'soccerclub-premium' )
    )
);


$wp_customize->add_setting('soccerclub_success_npp_count_heading',array('sanitize_callback' => 'soccerclub_sanitize_text'));
$wp_customize->add_control(
    new soccerclub_Customize_Heading(
        $wp_customize,
        'soccerclub_success_npp_count_heading',
        array(
            'settings'      => 'soccerclub_success_npp_count_heading',
            'section'       => 'soccerclub_about_section',
            'label'         => __( 'Number of success to show', 'soccerclub' ),
        )
    )
);    
$wp_customize->add_setting('soccerclub_success_npp_count',array('sanitize_callback' => 'soccerclub_sanitize_text','default' => 2));
$wp_customize->add_control(
    'soccerclub_success_npp_count',
    array(
        'settings'      => 'soccerclub_success_npp_count',
        'section'       => 'soccerclub_about_section',
        'type'          => 'select',
        'label'         => __( 'Number of success to show', 'soccerclub' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//success PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'soccerclub_success_page'.$i,
        array(
            'sanitize_callback' => 'soccerclub_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new soccerclub_Customize_Heading(
            $wp_customize,
            'soccerclub_success_page'.$i,
            array(
                'settings'      => 'soccerclub_success_page'.$i,
                'section'       => 'soccerclub_about_section',
                'label'         => __( 'Success Page ', 'soccerclub-premium' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'soccerclub_success_page_icon'.$i,
        array(
            'default'           => 'fa fa-thumbs-o-up',
            'sanitize_callback' => 'soccerclub_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new soccerclub_Fontawesome_Icon_Chooser(
            $wp_customize,
            'soccerclub_success_page_icon'.$i,
            array(
                'settings'      => 'soccerclub_success_page_icon'.$i,
                'section'       => 'soccerclub_about_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'soccerclub-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'soccerclub_success_page_title_'.$i, 'soccerclub_about_section', $type = 'text', $label="Title", $callback ='soccerclub_sanitize_text', $default='Great<span>Teamwork</span>');
    
}

$wp_customize->add_setting( 'soccerclub_about_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'soccerclub_about_section_bg_color', array(
        'label' => __('Section Background Color','soccerclub'),
       'section' => 'soccerclub_about_section',
    )));

    $wp_customize->add_setting( 'soccerclub_about_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_about_section_bg_image', array(
        'label' => __('Section Background Image','soccerclub'),
       'section' => 'soccerclub_about_section',
    )));


 $wp_customize->add_setting('soccerclub_about_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_about_image_opacity',array(
    'label' => __('Background Opacity','soccerclub'),
    'section' => 'soccerclub_about_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('soccerclub_about_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_about_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Block Onload Transition Effects','soccerclub'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
            'wow bounceInRight' => __('Bounce In Right','soccerclub'),
            'wow bounceInUp' => __('Bounce In Up','soccerclub'),
            'wow bounceInDown' => __('Bounce In Down','soccerclub'),
            'wow zoomIn' => __('Zoom In','soccerclub'),
            'wow zoomOut' => __('Zoom Out','soccerclub'),
            'wow fadeInDown' => __('Fade In Down','soccerclub'),            
            'wow fadeInUp' => __('Fade In Up','soccerclub'),
            'wow fadeInLeft' => __('Fade In Left','soccerclub'),
            'wow fadeInRight' => __('Fade In Right','soccerclub'),
            'flip-up' => __('Flip Up','soccerclub')
        ),
        'section' => 'soccerclub_about_section',
    ));

         $wp_customize->add_setting('soccerclub_about_head_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_about_head_align',array(
        'type' => 'select',
        'label' => __('Head Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_about_section',
    ));


    $wp_customize->add_setting('soccerclub_about_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_about_padding',array(
      'label' => __('Section Padding','soccerclub'),
      'section' => 'soccerclub_about_section'
   ));
   
    $wp_customize->add_setting('soccerclub_about_top_padding',array(
        'default' => '8',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_about_top_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_about_section',
    ));
     $wp_customize->add_setting('soccerclub_about_bottom_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_about_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_about_section',
    ));

    $wp_customize->add_setting('soccerclub_about_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_about_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_about_section',
    ));



addColorPalatOption($wp_customize, 'soccerclub_about_heading_color1', 'soccerclub_about_section', 'Title color', '');

addColorPalatOption($wp_customize, 'soccerclub_about_subtitle_color', 'soccerclub_about_section', 'Sub Title color', '');

addColorPalatOption($wp_customize, 'soccerclub_about_text_color', 'soccerclub_about_section', 'Text color', '');
addColorPalatOption($wp_customize, 'soccerclub_about_list_color', 'soccerclub_about_section', 'List color', '');

addColorPalatOption($wp_customize, 'soccerclub_about_icon_color', 'soccerclub_about_section', 'Icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_success_icon_color', 'soccerclub_about_section', 'Success Icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_success_title_color1', 'soccerclub_about_section', 'Success Title color', '');
addColorPalatOption($wp_customize, 'soccerclub_success_title_color2', 'soccerclub_about_section', 'Success Title color', '');

addColorPalatOption($wp_customize, 'soccerclub_success_boxbg_color', 'soccerclub_about_section', 'Box Background color', '');
?>