<?php 
$wp_customize->add_section(
    'soccerclub_pricing_section',
    array(
        'title' => __( 'Pricing Plan', 'soccerclub' ),
        'panel' => 'soccerclub_premium_home_panel1',
        'priority' =>26
    ));

$wp_customize->add_setting('soccerclub_reset_pricing_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_pricing_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Pricing Section Settings', 'soccerclub'),
  'description' => 'soccerclub_pricing_reset_settings',
  'section' => 'soccerclub_pricing_section'
)));

$wp_customize->add_setting('soccerclub_pricing_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_pricing_nav', array(
       'section' => 'soccerclub_pricing_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_pricing_enable', 
                'soccerclub_pricing_maintitle',
                'soccerclub_pricing_subtitle',
                'soccerclub_pricing_npp_heading',
                'soccerclub_pricing_npp_count',
                'soccerclub_pricing_plan_heading_1',
                'soccerclub_pricing_plan_name_1',
                'soccerclub_pricing_plan_tagline_1',
                'soccerclub_pricing_plan_unit_1',
                'soccerclub_pricing_plan_price_1',
                'soccerclub_pricing_plan_valid_1',
                
                'soccerclub_pricing_plan_content_1',
                'pricing_page_button_title_1',
                'soccerclub_pricing_plan_url_1',
                'soccerclub_pricing_plan_heading_2',
                'soccerclub_pricing_plan_name_2',
                'soccerclub_pricing_plan_tagline_2',
                'soccerclub_pricing_plan_unit_2',
                'soccerclub_pricing_plan_price_2',
                'soccerclub_pricing_plan_valid_2',
                
                'soccerclub_pricing_plan_content_2',
                'pricing_page_button_title_2',
                'soccerclub_pricing_plan_url_2',
                'soccerclub_pricing_plan_heading_3',
                'soccerclub_pricing_plan_name_3',
                'soccerclub_pricing_plan_tagline_3',
                'soccerclub_pricing_plan_unit_3',
                'soccerclub_pricing_plan_price_3',
                 'soccerclub_pricing_plan_valid_3',
                
                'soccerclub_pricing_plan_content_3',
                'pricing_page_button_title_3',
                'soccerclub_pricing_plan_url_3',
                'soccerclub_pricing_plan_heading_4',
                'soccerclub_pricing_plan_name_4',
                'soccerclub_pricing_plan_tagline_4',
                'soccerclub_pricing_plan_unit_4',
                'soccerclub_pricing_plan_price_4',
                 'soccerclub_pricing_plan_valid_4',
                
                'soccerclub_pricing_plan_content_4',
                'pricing_page_button_title_4',
                'soccerclub_pricing_plan_url_4',
                'soccerclub_pricing_plan_heading_5',
                'soccerclub_pricing_plan_name_5',
                'soccerclub_pricing_plan_tagline_5',
                'soccerclub_pricing_plan_unit_5',
                'soccerclub_pricing_plan_price_5',
                 'soccerclub_pricing_plan_valid_5',
                
                'soccerclub_pricing_plan_content_5',
                'pricing_page_button_title_5',
                'soccerclub_pricing_plan_url_5',
                'soccerclub_pricing_plan_heading_6',
                'soccerclub_pricing_plan_name_6',
                'soccerclub_pricing_plan_tagline_6',
                'soccerclub_pricing_plan_unit_6',
                'soccerclub_pricing_plan_price_6',
                 'soccerclub_pricing_plan_valid_6',
                
                'soccerclub_pricing_plan_content_6',
                'pricing_page_button_title_6',
                'soccerclub_pricing_plan_url_6',
                'soccerclub_pricing_plan_heading_7',
                'soccerclub_pricing_plan_name_7',
                'soccerclub_pricing_plan_tagline_7',
                'soccerclub_pricing_plan_unit_7',
                'soccerclub_pricing_plan_price_7',
                 'soccerclub_pricing_plan_valid_7',
                
                'soccerclub_pricing_plan_content_7',
                'pricing_page_button_title_7',
                'soccerclub_pricing_plan_url_7',
                'soccerclub_pricing_plan_heading_8',
                'soccerclub_pricing_plan_name_8',
                'soccerclub_pricing_plan_tagline_8',
                'soccerclub_pricing_plan_unit_8',
                'soccerclub_pricing_plan_price_8',
                 'soccerclub_pricing_plan_valid_8',
                
                'soccerclub_pricing_plan_content_8',
                'pricing_page_button_title_8',
                'soccerclub_pricing_plan_url_8',
                'soccerclub_pricing_plan_heading_9',
                'soccerclub_pricing_plan_name_9',
                'soccerclub_pricing_plan_tagline_9',
                'soccerclub_pricing_plan_unit_9',
                'soccerclub_pricing_plan_price_9',
                 'soccerclub_pricing_plan_valid_9',
                
                'soccerclub_pricing_plan_content_9',
                'pricing_page_button_title_9',
                'soccerclub_pricing_plan_url_9',
                'soccerclub_pricing_plan_heading_10',
                'soccerclub_pricing_plan_name_10',
                'soccerclub_pricing_plan_tagline_10',
                'soccerclub_pricing_plan_unit_10',
                'soccerclub_pricing_plan_price_10',
                 'soccerclub_pricing_plan_valid_10',
                
                'soccerclub_pricing_plan_content_10',
                'pricing_page_button_title_10',
                'soccerclub_pricing_plan_url_10',
                'soccerclub_pricing_plan_heading_11',
                'soccerclub_pricing_plan_name_11',
                'soccerclub_pricing_plan_tagline_11',
                'soccerclub_pricing_plan_unit_11',
                'soccerclub_pricing_plan_price_11',
                 'soccerclub_pricing_plan_valid_11',                
                'soccerclub_pricing_plan_content_11',
                'pricing_page_button_title_11',
                'soccerclub_pricing_plan_url_11',
                'soccerclub_pricing_plan_heading_12',
                'soccerclub_pricing_plan_name_12',
                'soccerclub_pricing_plan_tagline_12',
                'soccerclub_pricing_plan_unit_12',
                'soccerclub_pricing_plan_price_12',
                 'soccerclub_pricing_plan_valid_12',                
                'soccerclub_pricing_plan_content_12',
                'pricing_page_button_title_12',
                'soccerclub_pricing_plan_url_12'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'soccerclub_pricing_section_bg_color',
                'soccerclub_pricing_section_bg_image',
                'soccerclub_pricing_image_opacity',                           
                'soccerclub_pricing_box_onload_effects',
                'soccerclub_pricing_title_case',
                'soccerclub_pricing_head_align',
                'soccerclub_pricing_box_align',
                'soccerclub_pricing_heading_color1',
                'soccerclub_pricing_heading_color2',
                'soccerclub_pricing_subheading_color',
                'soccerclub_pricing_name_color1',
                'soccerclub_pricing_name_color2',
                'soccerclub_pricing_time_color',               
                'soccerclub_pricing_price_color',
                'soccerclub_pricing_valid_color',
                'soccerclub_pricing_pricebg_color',
                'soccerclub_pricing_list_color',
                'soccerclub_pricing_list_color2',
                'soccerclub_pricing_linkicon_color1',
                'soccerclub_pricing_linkicon_color2',
                'soccerclub_pricing_btn_color',
                'soccerclub_pricing_btn_color2',
                'soccerclub_pricing_btnbg_color',
                'soccerclub_pricing_btnbg_color2',
                 'soccerclub_pricing_headbg_color1',
                'soccerclub_pricing_boxbg_color2'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub_pricing_padding',
                'soccerclub_pricing_section_t_padding',
                'soccerclub_pricing_section_b_padding',
                'soccerclub_pricing_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'soccerclub_pricing_enable',array(
    'default' => true,
    'sanitize_callback' => 'soccerclub_switch_sanitization'
) );
$wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_pricing_enable',array(
    'label' => __( 'Disable Section','soccerclub' ),
    'section' => 'soccerclub_pricing_section'
)));

$wp_customize->add_setting(
    'soccerclub_pricing_maintitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Our Best <span>Price Plan</span>', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_pricing_maintitle',
    array(
        'settings'      => 'soccerclub_pricing_maintitle',
        'section'       => 'soccerclub_pricing_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'soccerclub' )
    )
);

$wp_customize->add_setting(
    'soccerclub_pricing_subtitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Aenean leo ligula, porttitor eu, consequat vitae, eleifend ac, enim. Aliquam lorem ante, dapibus in, viverra quis, feugiat a, tellus.', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_pricing_subtitle',
    array(
        'settings'      => 'soccerclub_pricing_subtitle',
        'section'       => 'soccerclub_pricing_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'soccerclub' )
    )
);


    $wp_customize->add_setting('soccerclub_pricing_npp_heading',array('sanitize_callback' => 'soccerclub_sanitize_text'));
    $wp_customize->add_control(
        new soccerclub_Customize_Heading(
            $wp_customize,
            'soccerclub_pricing_npp_heading',
            array(
                'settings'      => 'soccerclub_pricing_npp_heading',
                'section'       => 'soccerclub_pricing_section',
                'label'         => __( 'Pricing planes to show', 'soccerclub' ),
            )
        )
    );    
    $wp_customize->add_setting('soccerclub_pricing_npp_count',array('sanitize_callback' => 'soccerclub_sanitize_text','default' => 2));
    $wp_customize->add_control(
        'soccerclub_pricing_npp_count',
        array(
            'settings'      => 'soccerclub_pricing_npp_count',
            'section'       => 'soccerclub_pricing_section',
            'type'          => 'select',
            'label'         => __( 'Number of plan to show', 'soccerclub' ),
            'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
        )
    );
    for($i=1;$i<=12;$i++){
        $wp_customize->add_setting('soccerclub_pricing_plan_heading_'.$i,array('sanitize_callback' => 'soccerclub_sanitize_text'));
        $wp_customize->add_control(
            new soccerclub_Customize_Heading(
                $wp_customize,
                'soccerclub_pricing_plan_heading_'.$i,
                array(
                    'settings' => 'soccerclub_pricing_plan_heading_'.$i,
                    'section' => 'soccerclub_pricing_section',
                    'label' => __( 'Pricing Plan'.$i, 'soccerclub' ),
                )
            )
        ); 

$wp_customize->add_setting('soccerclub_pricing_plan_name_'.$i,array('sanitize_callback' => 'soccerclub_sanitize_text','default' => __( 'STANDARD', 'soccerclub' )));
        $wp_customize->add_control(
            'soccerclub_pricing_plan_name_'.$i,
            array(
                'settings' => 'soccerclub_pricing_plan_name_'.$i,
                'section' => 'soccerclub_pricing_section',
                'type' => 'text',
                'label' => __( 'Add Plan Name Here:', 'soccerclub' )
            )
        );

        $wp_customize->add_setting('soccerclub_pricing_plan_unit_'.$i,array('sanitize_callback' => 'soccerclub_sanitize_text','default' => __( '$', 'soccerclub' )));
        $wp_customize->add_control(
            'soccerclub_pricing_plan_unit_'.$i,
            array(
                'settings' => 'soccerclub_pricing_plan_unit_'.$i,
                'section' => 'soccerclub_pricing_section',
                'type' => 'text',
                'label' => __( 'Add Plan Unit Here:', 'soccerclub' )
            )
        );
       
         $wp_customize->add_setting('soccerclub_pricing_plan_price_'.$i,array('sanitize_callback' => 'soccerclub_sanitize_text','default' => __( '54.00', 'soccerclub' )));
        $wp_customize->add_control(
            'soccerclub_pricing_plan_price_'.$i,
            array(
                'settings' => 'soccerclub_pricing_plan_price_'.$i,
                'section' => 'soccerclub_pricing_section',
                'type' => 'text',
                'label' => __( 'Add Plan Price Here:', 'soccerclub' )
            )
        );

          $wp_customize->add_setting('soccerclub_pricing_plan_valid_'.$i,array('sanitize_callback' => 'soccerclub_sanitize_text','default' => __( 'Per Month', 'soccerclub' )));
        $wp_customize->add_control(
            'soccerclub_pricing_plan_valid_'.$i,
            array(
                'settings' => 'soccerclub_pricing_plan_valid_'.$i,
                'section' => 'soccerclub_pricing_section',
                'type' => 'text',
                'label' => __( 'Add Plan Valid Time Here:', 'soccerclub' )
            )
        );

         $wp_customize->add_setting('soccerclub_pricing_plan_content_'.$i,array('sanitize_callback' => 'soccerclub_sanitize_text','default' => __( '
             <li><i class="fa fa-check" aria-hidden="true"></i> 25 Analytics Campaign</li>
            <li><i class="fa fa-check" aria-hidden="true"></i> 1,300 Keywords</li>
            <li><i class="fa fa-check" aria-hidden="true"></i> 25 Social Media Reviews</li>
            <li><i class="fa fa-check" aria-hidden="true"></i> 1 Free Optimization</li>
            <li><i class="fa fa-check" aria-hidden="true"></i> 24/7 Support</li>', 'soccerclub' )));
        $wp_customize->add_control(
            'soccerclub_pricing_plan_content_'.$i,
            array(
                'settings' => 'soccerclub_pricing_plan_content_'.$i,
                'section' => 'soccerclub_pricing_section',
                'type' => 'textarea',
                'label' => __( 'Add Pricing Plan List Here:', 'soccerclub' )
            )
        );


        lzAddElement($wp_customize, 'soccerclub_pricing_plan_url_'.$i, 'soccerclub_pricing_section', $type = 'text', $label="Add Link for Pricing Plan".$i."&nbsp;if Pricing Plan selected", $callback ='esc_url', $default='#');

    }

    $wp_customize->add_setting('soccerclub_pricing_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_pricing_padding',array(
      'label' => __('Section Padding','soccerclub'),
      'section' => 'soccerclub_pricing_section'
   ));


 $wp_customize->add_setting('soccerclub_pricing_section_t_padding',array(
        'default' => '16',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_pricing_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_pricing_section',
    ));
     $wp_customize->add_setting('soccerclub_pricing_section_b_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_pricing_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_pricing_section',
    ));

$wp_customize->add_setting( 'soccerclub_pricing_section_bg_color', array(
       'default' => '#161415',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'soccerclub_pricing_section_bg_color', array(
        'label' => __('Section Background Color','soccerclub'),
       'section' => 'soccerclub_pricing_section',
    )));

    $wp_customize->add_setting( 'soccerclub_pricing_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_pricing_section_bg_image', array(
        'label' => __('Section Background Image','soccerclub'),
       'section' => 'soccerclub_pricing_section',
    )));


     $wp_customize->add_setting('soccerclub_pricing_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_pricing_image_opacity',array(
    'label' => __('Background Opacity','soccerclub'),
    'section' => 'soccerclub_pricing_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('soccerclub_pricing_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_pricing_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Onload Transition Effects','soccerclub'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
            'wow bounceInRight' => __('Bounce In Right','soccerclub'),
            'wow bounceInUp' => __('Bounce In Up','soccerclub'),
            'wow bounceInDown' => __('Bounce In Down','soccerclub'),
            'wow zoomIn' => __('Zoom In','soccerclub'),
            'wow zoomOut' => __('Zoom Out','soccerclub'),
            'wow fadeInDown' => __('Fade In Down','soccerclub'),            
            'wow fadeInUp' => __('Fade In Up','soccerclub'),
            'wow fadeInLeft' => __('Fade In Left','soccerclub'),
            'wow fadeInRight' => __('Fade In Right','soccerclub'),
            'flip-up' => __('Flip Up','soccerclub')
        ),
        'section' => 'soccerclub_pricing_section',
    ));

    
$wp_customize->add_setting('soccerclub_pricing_title_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_pricing_title_case',array(
        'type' => 'select',
        'label' => __('Pricing Title Case','soccerclub'),
        'choices' => array (
            'Uppercase' => __('Uppercase','soccerclub'),
            'Lowercase' => __('Lowercase','soccerclub'),
            'Capitalize' => __('Capitalize','soccerclub'),
            'None' => __('None','soccerclub')
        ),
        'section' => 'soccerclub_pricing_section',
    ));

    $wp_customize->add_setting('soccerclub_pricing_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_pricing_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_pricing_section',
    ));

    $wp_customize->add_setting('soccerclub_pricing_box_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_pricing_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_pricing_section',
    ));

    $wp_customize->add_setting('soccerclub_pricing_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_pricing_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_pricing_section',
    ));


addColorPalatOption($wp_customize, 'soccerclub_pricing_heading_color1', 'soccerclub_pricing_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_heading_color2', 'soccerclub_pricing_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_subheading_color', 'soccerclub_pricing_section', 'Subheading color ', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_name_color1', 'soccerclub_pricing_section', 'Name color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_name_color2', 'soccerclub_pricing_section', 'Name color', '');

addColorPalatOption($wp_customize, 'soccerclub_pricing_price_color', 'soccerclub_pricing_section', 'Price color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_valid_color', 'soccerclub_pricing_section', 'Valid Text color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_list_color', 'soccerclub_pricing_section', 'List color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_list_color2', 'soccerclub_pricing_section', 'List color', '');

addColorPalatOption($wp_customize, 'soccerclub_pricing_linkicon_color1', 'soccerclub_pricing_section', 'Link Icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_linkicon_color2', 'soccerclub_pricing_section', 'Link Icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_btn_color', 'soccerclub_pricing_section', 'Button color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_btn_color2', 'soccerclub_pricing_section', 'Button color', '');


addColorPalatOption($wp_customize, 'soccerclub_pricing_btnbg_color', 'soccerclub_pricing_section', 'Button Background color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_btnbg_color2', 'soccerclub_pricing_section', 'Button Background color', '');

addColorPalatOption($wp_customize, 'soccerclub_pricing_headbg_color1', 'soccerclub_pricing_section', 'Box Background color', '');
addColorPalatOption($wp_customize, 'soccerclub_pricing_boxbg_color2', 'soccerclub_pricing_section', 'Box Background color', '');

?>