<?php 
  $lvl2ParentPanel3 = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'soccerclub_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'soccerclub_section', array(
    'title' => 'Section Test page',
    'panel' => 'soccerclub_othersetting_panel3',
  ));

$wp_customize->add_section( 'soccerclub_otherall_setting' , array(
    'title'    => __( 'All Setting', 'soccerclub-premium' ),
    'priority' => null,
    'panel' => 'soccerclub_othersetting_panel3'
) );

$wp_customize->add_setting('soccerclub_reset_otherallsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_otherallsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'soccerclub'),
  'description' => 'soccerclub_otherallsetting_reset_settings',
  'section' => 'soccerclub_otherall_setting'
)));


$wp_customize->add_setting(
    'back_top_btn_on_off',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'back_top_btn_on_off',
        array(
            'settings'      => 'back_top_btn_on_off',
            'section'       => 'soccerclub_otherall_setting',
            'label'         => __( 'Back to Top Button', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Hide', 'soccerclub-premium' ),
                'off' => __( 'Show', 'soccerclub-premium' )
            ),
        )
    )
);

addColorPalatOption($wp_customize, 'soccerclub_toptobottom_icon_color', 'soccerclub_otherall_setting', 'Icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_toptobottom_iconhover_color', 'soccerclub_otherall_setting', 'Icon hover color', '');
// end to show & hide button