<?php   
if (get_theme_mod('soccerclub_features_enable', true) == true) { ?>

	<div class="features-area text-center" id="features">
		<div class="features-bg"></div>
			<div class="<?php if(get_theme_mod('soccerclub_features_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('soccerclub_features_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
			<?php
			$showStatic = true;
			for( $i = 1; $i < 7; $i++ ){
				$url = get_theme_mod('soccerclub_features_page_url_'.$i, '#');
				$link = get_theme_mod('soccerclub_features_page_link'.$i);
				$soccerclub_features_page_id = get_theme_mod('soccerclub_features_page_icon'.$i); 
				if(!empty($soccerclub_features_page_id)){
					$showStatic = false;
					break;
				}
			}
			$soccerclub_features_page_id = get_theme_mod('soccerclub_features_page');	
			$soccerclub_features_maintitle = get_theme_mod('soccerclub_features_maintitle', 'Our Feature');
			
			?>
			
			<div class="row ">
				<?php if($soccerclub_features_maintitle){ ?>
					<div class="col-xl-12 col-lg-12 col-sm-12">
					<div class="soccerclub-section-head" style="text-align: <?php if(get_theme_mod('soccerclub_features_head_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('soccerclub_features_head_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('soccerclub_features_head_align','Right') == 'Right'){ ?> right <?php } ?> ">						
					<?php if($soccerclub_features_maintitle){ ?>
                        <h2><?php echo ($soccerclub_features_maintitle);  ?><?php echo '<img alt="featured" src="'.get_template_directory_uri().'/images/featureheading.png"  />'; ?></h2>
                        <i class="fa fa-window-minimize" aria-hidden="true"></i>
                    <?php }?>				
					</div>
				</div>
				<?php }?>
			</div>

			<div class="soccerclub-features-area"> 
				<div class="row">
					
					<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
						
						<div class="soccerclub-featured-img">
						<?php 
						$soccerclub_featured_image = get_theme_mod('soccerclub_featured_image');
						if(!empty($soccerclub_featured_image)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($soccerclub_featured_image).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img alt="featured" src="'.get_template_directory_uri().'/images/featureleftimg.jpg" class="img-responsive" />';
						}

						?>
						
					</div>

					</div>
				<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 fpadding2">
				<?php
				$cols = get_theme_mod('soccerclub_features_npp_count', 2);
				$cols++;
							// echo '$cold: '.$cols;
				switch($cols){
					case 1:
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
					case 2:	
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
					case 3:
					case 5:
					case 6:
					case 9:
					case 11:
					case 13:
					case 15:
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
					default: 
					$colCls = 'col-md-12 col-sm-12 col-xs-12';
					break;
				}
				$icons = array(1=>'heart', 2=>'star', 3=>'flash', 4=>'bell',5=>'heart', 6=>'star', 7=>'flash', 8=>'bell');
				?>

				<?php
				for( $i = 1; $i <= $cols; $i++ ){
					
					if($showStatic === false){
						$url = get_theme_mod('soccerclub_features_page_url_'.$i, '#');

						$soccerclub_features_page_title = get_theme_mod('soccerclub_features_page_title_'.$i, 'Our Goal');
						$soccerclub_features_page_description = get_theme_mod('soccerclub_features_page_description_'.$i, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor');
						$soccerclub_features_page_id = get_theme_mod('soccerclub_features_page'.$i); 
						$soccerclub_features_page_icon = get_theme_mod('soccerclub_features_page_icon'.$i);
						if($soccerclub_features_page_icon){
							?>
							<div class="soccerclub-features-b right-side">
							
									<div feature-match-height="groupName" class="soccerclub-features-single <?php echo esc_attr(get_theme_mod('soccerclub_features_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" >

									<div class="row">
										<div class="col-lg-2 col-md-2 col-sm-2 col-xs-2">
												<div class="soccerclub-features-icon">
													<div class="soccerclub-features-icon-box">
														<a href="<?php echo esc_url(!empty($url)?$url:'#');?>" class="ficon">
														<span class="<?php echo $soccerclub_features_page_icon; ?>"></span>
														</a>
													</div>
												</div>
											
											
										</div>
										<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 fpadding">
												<h4 class="soccerclub-features-title inner-area-title" style="text-transform : <?php if(get_theme_mod('soccerclub_features_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } elseif(get_theme_mod('soccerclub_features_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('soccerclub_features_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } ?>">
												<?php echo $soccerclub_features_page_title; ?>
											</h4>
											<div class="soccerclub-features-content">
												<p class="soccerclub-features-text inner-area-text">
													<?php echo $soccerclub_features_page_description; ?>
												</p>
												<div class="clearfix"></div>
											</div>
										</div>
											<div class="clearfix"></div>
									</div>



											
									</div>
								</div>
							<?php
						}
					}else{?>
						<div class="soccerclub-features-b right-side">
									<div feature-match-height="groupName" class="soccerclub-features-single <?php echo esc_attr(get_theme_mod('soccerclub_features_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" >

									<div class="row">
										<div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 ">
												<div class="soccerclub-features-icon">
													<div class="soccerclub-features-icon-box">
													<a href="#" class="ficon">
														<span class="fa fa-trophy"></span>
													</a>
													</div>
												</div>
											
										</div>
										<div class="col-lg-10 col-md-10 col-sm-10 col-xs-10 fpadding">
											<h4 class="soccerclub-features-title inner-area-title" style="text-transform : <?php if(get_theme_mod('soccerclub_features_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } elseif(get_theme_mod('soccerclub_features_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('soccerclub_features_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } ?>">
												Our Goal
											</h4>
											<div class="soccerclub-features-content">	
												<p class="soccerclub-features-text inner-area-text">
													Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor,Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor
												</p>
												<div class="clearfix"></div>
											</div>
										</div>
											<div class="clearfix"></div>
									</div>


									</div>
								</div>
					<?php }

				}?>

					</div>

					<div class="clearfix"></div>
				</div>


				





			</div>
			<div class="clearfix"></div>
			</div>
		<div class="clearfix"></div>
	</div>
<script>
	var matchHeight = function () {
	
	function init() {
		eventListeners();
		matchHeight();
	}
	
	function eventListeners(){
		$(window).on('resize', function() {
			matchHeight();
		});
	}
	
	function matchHeight(){
		var groupName = $('[feature-match-height]');
		var groupHeights = [];
		
		groupName.css('min-height', 'auto');
		
		groupName.each(function() {
			groupHeights.push($(this).outerHeight());
		});
		
		var maxHeight = Math.max.apply(null, groupHeights);
		groupName.css('min-height', maxHeight);
	};
	
	return {
		init: init
	};
	
} ();

$(document).ready(function() {
	matchHeight.init();
});
</script>
<?php }