<?php
/**
 * Template Name: Contact Page
 *
 * @package soccerclub Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="soccerclub-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('soccerclub_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
  
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('soccerclub_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
            <div class="<?php if(get_theme_mod('soccerclub_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('soccerclub_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
                <div class='button'><?php soccerclub_lite_the_breadcrumb(); ?></div>
                <!--  <?php //soccerclub_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
 <?php } ?>
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('soccerclub_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('soccerclub_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('soccerclub_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>    

</header><!-- .entry-header --> 
<div class="soccerclub-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		<?php 

		$soccerclub_contact_page_title = get_theme_mod('soccerclub_contactpage_title', 'WE ARE HERE TO HELP YOU');
		$soccerclub_contact_page_subtitle = get_theme_mod('soccerclub_contactpage_subtitle', 'QUICK CONTACT');
		$soccerclub_contact_page_text = get_theme_mod('soccerclub_contactpage_text', 'There are many variations of passages of Lorem Ipsum available but the majority have suffered alteration in some form, by injected humour');

		$soccerclub_contact_page_phonetitle1 = get_theme_mod('soccerclub_contact_page_phonetitle1', 'Emergency Handyman Works');
		$soccerclub_contact_page_phonenum1 = get_theme_mod('soccerclub_contact_page_phonenum1', '+888 56 78 9012');

		$soccerclub_contact_page_phonetitle2 = get_theme_mod('soccerclub_contact_page_phonetitle2', 'Frequently Asked Questions');
		$soccerclub_contact_page_phonenum2 = get_theme_mod('soccerclub_contact_page_phonenum2', '+888 56 78 9012');

		$soccerclub_contact_page_formtitle = get_theme_mod('soccerclub_contactpage_formtitle', 'SEND YOUR MESSAGE');
		$soccerclub_contact_page_formsubtitle = get_theme_mod('soccerclub_contactpage_formsubtitle', 'CONTACT FORM');
		$soccerclub_contact_page_formtext = get_theme_mod('soccerclub_contactpage_formtext', 'There are many variations of passages of Lorem Ipsum available but the majority have suffered alteration in some form, by injected humour');

		$soccerclub_contact_page_address_infobox_title = get_theme_mod('soccerclub_contact_page_address_infobox_title', 'MAIN BRANCH');
		$soccerclub_contact_page_address_label = get_theme_mod('soccerclub_contactpage_address_label', 'Address :');
		$soccerclub_contact_page_address = get_theme_mod('soccerclub_contactpage_address', 'Delanson, New York, 12053');
		$soccerclub_contact_page_address_line1 = get_theme_mod('soccerclub_contactpage_address_line1', '');
		$soccerclub_contact_page_address_line2 = get_theme_mod('soccerclub_contactpage_address_line2', '');
		$soccerclub_contact_page_phone_label = get_theme_mod('soccerclub_contact_page_phone_label', 'Phone :');
		$soccerclub_contact_page_phone = get_theme_mod('soccerclub_contactpage_phone', '+1 999 999 9999');
		$soccerclub_contact_page_email_label = get_theme_mod('soccerclub_contactpage_email_label', 'Email :');
		$soccerclub_contact_page_email = get_theme_mod('soccerclub_contactpage_email', 'contact@example.com');
		
		$soccerclub_contact_page_form_shortcode = get_theme_mod('soccerclub_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');

		$soccerclub_contact_page_iframe_shortcode = get_theme_mod('soccerclub_contactpage_iframe_shortcode', 'Add Map Embed Code Here');

		$contact_facebook = get_theme_mod('soccerclub_contact_fb', '//facebook.com/');
		$contact_twitter = get_theme_mod('soccerclub_contact_tw', '//twitter.com/');
		$contact_linkedIn = get_theme_mod('soccerclub_contact_in', '//linkedin.com/');
		$contact_youtube = get_theme_mod('soccerclub_contact_youtube', '');
		$contact_instagram = get_theme_mod('soccerclub_contact_instagram', '');
		$contact_whatsapp = get_theme_mod('soccerclub_contact_whatsapp', '');
		$contact_pinterest = get_theme_mod('soccerclub_contact_pinterest', 'https://www.pinterest.com');

		?>
		<div id="soccerclub-contactus-wrap">
			  <div class="<?php if(get_theme_mod('soccerclub_inner_page_width','Box Width') == 'Box Width'){ ?>container<?php } elseif(get_theme_mod('soccerclub_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid pd-0  <?php }?>">

			  <div class="soccerclub-contact-detail-block">
			  		<div class="textcenter soccerclub-contact-detail <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">								
							 <?php if(!empty($soccerclub_contact_page_title)){ ?>
								<h2><?php echo ($soccerclub_contact_page_title);  ?></h2>
							<?php }?>

							<div class="text">
								<div class="soccerclub-left">
									<span></span></div>
							<?php if(!empty($soccerclub_contact_page_subtitle)){ ?>
							<p><?php echo ($soccerclub_contact_page_subtitle);  ?></p>
							<?php }?>
							<div class="soccerclub-right">
								<span></span></div></div>
						 <div class="bottom-text">
							<?php if(!empty($soccerclub_contact_page_text)){ ?>
							<p><?php echo ($soccerclub_contact_page_text);  ?></p>
							<?php }?>
						</div>
						</div>

				<div class="row">
					<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<div class="soccerclub-contact-page-info textcenter">
								<i class="fa fa-clock-o" aria-hidden="true"></i>
								<?php if(!empty($soccerclub_contact_page_phonetitle1)){ ?>
									<h3><?php echo ($soccerclub_contact_page_phonetitle1);  ?></h3>
								<?php }?>
								<?php if(!empty($soccerclub_contact_page_phonenum1)){ ?>
									<a href="telto:<?php echo $soccerclub_contact_page_phonenum1;?>"><h2><?php echo ($soccerclub_contact_page_phonenum1);  ?></h2></a>
								<?php }?>
							</div>
					</div>
					<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
							<div class="soccerclub-contact-page-data">
								<?php if(!empty($soccerclub_contact_page_address_infobox_title)){ ?>
									<h4><?php echo ($soccerclub_contact_page_address_infobox_title);  ?></h4>
								<?php }?>
								<div class="soccerclub-contact-page-data-box">
									<div class="row">
										<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 title">
											<?php if(!empty($soccerclub_contact_page_address_label)){ ?>
												<div class="label"><?php echo ($soccerclub_contact_page_address_label);  ?></div>
											<?php }?>
										</div>
										<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 infotext">
											<?php if(!empty($soccerclub_contact_page_address)){ ?>
												<p><?php echo ($soccerclub_contact_page_address);  ?></p>
											<?php }?>
											<br>
											<?php if(!empty($soccerclub_contact_page_address_line1)){ ?>
												<p><?php echo ($soccerclub_contact_page_address_line1);  ?></p>
											<?php }?>
											<br>
											<?php if(!empty($soccerclub_contact_page_address_line2)){ ?>
												<p><?php echo ($soccerclub_contact_page_address_line2);  ?></p>
											<?php }?>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="soccerclub-contact-page-data-box">
									<div class="row">
										<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 title">
											<?php if(!empty($soccerclub_contact_page_email_label)){ ?>
												<div class="label"><?php echo ($soccerclub_contact_page_email_label);  ?></div>
											<?php }?>
										</div>
										<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 text">
											<?php if(!empty($soccerclub_contact_page_email)){ ?>
												<p><a href="mailto:<?php echo $soccerclub_contact_page_email;?>"><?php echo ($soccerclub_contact_page_email);  ?></a></p>
											<?php }?>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
								<div class="soccerclub-contact-page-data-box">
									<div class="row">
										<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 title">
											<?php if(!empty($soccerclub_contact_page_phone_label)){ ?>
												<div class="label"><?php echo ($soccerclub_contact_page_phone_label);  ?></div>
											<?php }?>
										</div>
										<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 text">
											<?php if(!empty($soccerclub_contact_page_phone)){ ?>
												<p><a href="telto:<?php echo $soccerclub_contact_page_phone;?>"><?php echo ($soccerclub_contact_page_phone);  ?></a></p>
											<?php }?>
										</div>
										<div class="clearfix"></div>
									</div>
								</div>
							</div>
					</div>
					<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 pd-0 <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
						<div class="soccerclub-contact-page-info textcenter">
							<i class="fa fa-user" aria-hidden="true"></i>
								<?php if(!empty($soccerclub_contact_page_phonetitle2)){ ?>
									<h3><?php echo ($soccerclub_contact_page_phonetitle2);  ?></h3>
								<?php }?>
								<?php if(!empty($soccerclub_contact_page_phonenum2)){ ?>
									<a href="telto:<?php echo $soccerclub_contact_page_phonenum2;?>"><h2><?php echo ($soccerclub_contact_page_phonenum2);  ?></h2></a>
								<?php }?>
							</div>
					</div>
				</div>
					
			  </div>

			  	<div class="soccerclub-contact-form-block">
				  	
					<div class="row">
					
						<div class="col-lg-4 col-md-4 col-sm-4 col-xs-12 soccerclub-contact-page-form <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">								
						
						  	<?php if(!empty($soccerclub_contact_page_formtitle)){ ?>
							<h2><?php echo ($soccerclub_contact_page_formtitle);  ?></h2>
							<?php }?>

							<div class="text">
								<div class="soccerclub-left">
									<span></span></div>
							<?php if(!empty($soccerclub_contact_page_formsubtitle)){ ?>
							<p><?php echo ($soccerclub_contact_page_formsubtitle);  ?></p>
							<?php }?></div>
						</div>

						<div class="col-lg-8 col-md-8 col-sm-8 col-xs-12 soccerclub-contact-page-form <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">								
							<div class="text-box">
							<?php if(!empty($soccerclub_contact_page_text)){ ?>
							<p><?php echo ($soccerclub_contact_page_text);  ?></p>
							<?php }?>
							</div>
						</div>

						<div class="clearfix"></div>
				</div>
					<div class="soccerclub-contact-page-form-box "> 
					<?php if(!empty($soccerclub_contact_page_form_shortcode)){ ?>
									<?php echo do_shortcode($soccerclub_contact_page_form_shortcode);?>
							<?php }?>

					</div>
					
			<div class="clearfix"></div>
			</div>


			<div class="clearfix"></div>
				</div>


			<div class=" soccerclub-contact-mapbox <?php echo esc_attr(get_theme_mod('soccerclub_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
					<?php if(!empty($soccerclub_contact_page_iframe_shortcode)){ ?>
						<?php echo ($soccerclub_contact_page_iframe_shortcode);  ?>
					<?php }?>					
			</div>


			<div class="clearfix"></div>
		</div>

		</div>
			
		<div class="clearfix"></div>
	</div>
</main>
<?php get_footer(); ?>